%define _requires_exceptions libstlport_gcc.so

Name:           libreoffice-voikko
Version:        3.3
Release:        %mkrel 1
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office
License:        GPLv3+
URL:            http://voikko.sourceforge.net/
# The usual format of stable release URLs
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
# The usual format of test release URLs
#Source0:        http://www.puimula.org/htp/testing/%{name}-%{version}rc2.tar.gz

BuildRequires:    libreoffice-sdk >= 3.2.99
BuildRequires:    libvoikko-devel >= 3.0
Requires:         libreoffice-core >= 3.2.99
# Rpmbuild only detects libvoikko.so.1 automatically, which is
# too general for openoffice.org-voikko.
Requires:         libvoikko >= 3.0
Requires:	locales-fi
Obsoletes:	openoffice.org-voikko < 3.3

%define libo %{_libdir}/libreoffice
%define libo_sdk %{libo}/sdk
# The location of the installed extension. Apparently the directory name must
# end with .uno.pkg or unopkg will fail.
%define voikkoext %{libo}/share/extensions/voikko.uno.pkg

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.


%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
. %{libo_sdk}/setsdkenv_unix.sh
# offapi.rdb path seems to be wrongly set in libreoffice-sdk
%make OPT_FLAGS="%optflags" OFFICE_TYPES=%{libo}/program/types/offapi.rdb

%install
rm -rf $RPM_BUILD_ROOT
. %{libo_sdk}/setsdkenv_unix.sh
%make install-unpacked DESTDIR=%{buildroot}%{voikkoext} OPT_FLAGS="%optflags"
# Set the library executable so debuginfo can be extracted.
chmod +x %{buildroot}%{voikkoext}/voikko.so


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{voikkoext}
%doc ChangeLog COPYING README




%changelog

* Sun Feb 12 2012 anssi <anssi> 3.3-1.mga2
+ Revision: 208173
- new version 3.3
- fix build with current libreoffice-sdk
- bump libvoikko requires

* Fri Apr 22 2011 anssi <anssi> 3.2-5.mga1
+ Revision: 89836
- readd requires on locales-fi
- use non-version-dependant libO sdk directory (fixes build)
- drop relying on implicit build in rpm install section

* Sun Apr 17 2011 anssi <anssi> 3.2-4.mga1
+ Revision: 87309
- add obsoletes for openoffice.org-voikko

* Sun Apr 17 2011 blino <blino> 3.2-3.mga1
+ Revision: 86856
- do not require unprovided libstlport_gcc.so (this could fixed by providing it in libreoffice-ure)

* Tue Mar 29 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78670
- Use %%buildroot instead of RPM_BUILD_ROOT
- use %%make

  + dmorgan <dmorgan>
    - imported package libreoffice-voikko


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 30 2010 Caolán McNamara <caolanm@redhat.com> - 3.1.2-2
- rebuild for LibreOffice

* Thu Aug 05 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1.2-1
- New upstream release
- Remove both patches, upstreamed

* Tue Jul 27 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-5
- Fix for rhbz #618151, switch group elements to node elements in config.xcu,
  patch by David Tardon

* Wed Jul 14 2010 Caolán McNamara <caolanm@redhat.com> - 3.1-4
- Rebuild for OpenOffice.org 3.3

* Fri Jan 22 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-3
- Add patch from SVN to partly fix broken configuration handling, which
  may lead to an OO.o crash (rhbz#549289)

* Thu Nov 19 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-2
- Update for OpenOffice.org 3.2

* Mon Aug 10 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-1
- Update source URL to "official" upstream and bump version accordingly.
- The tarball is the same as in RC2.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-0.3.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-0.2.rc2
- New release candidate

* Mon Apr 06 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.1-0.1.rc1
- New release candidate
- Grammar checking enabled

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0.1-2
- Rebuild for OOO310_m1
- No need to use a define for unopkg anymore

* Wed Jan 21 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0.1-1
- openoffice.org-voikko 3.0.1
- Drop integrated OOO 3.0.1 compatibility patch
- Require OOO 3.0.1

* Sun Dec 28 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-5
- Add patch from upstream to fix FTBFS with OOO300_m14, the grammar
  checking framework was changed

* Wed Nov 19 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-4
- Add Epoch 1 to all openoffice.org-core pre-/post-Requires to avoid bugs such
  as rhbz #472093 (incorrect openoffice.org-core dependency)

* Mon Oct 13 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-3
- Remove unneeded openoffice.org-core Requires, rpmbuild should detect that
  automatically. Keep libvoikko >= 2.0 Requires as instructed by upstream
  release notes, rpmbuild can't detected that automatically.

* Mon Oct 06 2008 Caolán McNamara <caolanm@redhat.com> - 3.0-2
- add --force to protect against installing by rpm an extension which was
  previously installed manually

* Sun Aug 28 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-1
- openoffice.org-voikko 3.0

* Sun Jul 30 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-0.2.rc1
- New release candidate:
  - Require libvoikko >= 2.0
  - Don't build with SHOW_UGLY_WARNINGS anymore

* Fri Jul 25 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 3.0-0.1.pre4
- New pre-release
- License changed to GPLv3+
- Require openoffice.org >= 3.0.0
- Drop unneeded 3 layer patch
- Build with new SHOW_UGLY_WARNINGS=1 option as this is a test release

* Tue Jun 03 2008 Caolán McNamara <caolan@redhat.com> - 2.2-5
- add openoffice.org-voikko-2.2-3layer.patch to build against 3 layer OOo

* Sat Apr 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-4
- Build with RPM_OPT_FLAGS, adds FORTIFY_SOURCE etc.

* Thu Apr 03 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-3
- Update the package to match the newest extension guidelines:
  - Change location
  - Update openoffice.org-* Requires

* Sun Feb 17 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-2
- Upstream released 2.2
- Remove the "temporary $HOME hack" and all -env options, since unopkg has 
  been patched to take care of all that

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.2.rc1
- Use the package name, not a Debian leftover environment variable as an mktemp
  template

* Mon Feb 11 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.2-0.1.rc1
- 2.2rc1
- Use new install-unpacked make target, no need to unzip the extension
  anymore
- This target both compiles and installs, so do everything in install and
  leave build empty
- Set $HOME to be a temporary directory while using unopkg. Otherwise unopkg
  causes problems if the package is installed with sudo
- Rebuild for GCC 4.3

* Wed Jan 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-1
- Bump release for the initial Fedora build

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.2
- Make one define a bit cleaner
- Changes by Caolán McNamara:
  - Unpack the component at install time
  - Make a non-empty debuginfo package
  - Install the extension to /usr/lib/

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 2.1-0.1
- Initial package
